{
  "inputDatasetSmartName": "tx_joined",
  "script": {
    "steps": [
      {
        "type": "DateParser",
        "params": {
          "outCol": "",
          "lang": "auto",
          "timezone_id": "UTC",
          "formats": [
            "yyyy-MM-dd"
          ],
          "appliesTo": "SINGLE_COLUMN",
          "columns": [
            "purchase_date"
          ]
        },
        "metaType": "PROCESSOR",
        "preview": false,
        "disabled": false,
        "alwaysShowComment": false
      },
      {
        "type": "CurrencyConverterProcessor",
        "params": {
          "inputColumn": "purchase_amount",
          "outputColumn": "purchase_amount_eur",
          "inputCurrency": "USD",
          "outputCurrency": "EUR",
          "dateInput": "COLUMN",
          "refDateColumn": "purchase_date",
          "decimalNumber": 2,
          "isCurrencyFromColumn": false
        },
        "metaType": "PROCESSOR",
        "preview": false,
        "disabled": false,
        "alwaysShowComment": false
      },
      {
        "type": "RoundProcessor",
        "params": {
          "mode": "ROUND",
          "places": 2,
          "precision": 0,
          "appliesTo": "SINGLE_COLUMN",
          "columns": [
            "purchase_amount"
          ]
        },
        "metaType": "PROCESSOR",
        "preview": false,
        "disabled": false,
        "alwaysShowComment": false
      },
      {
        "type": "TextSimplifierProcessor",
        "params": {
          "inCol": "product_title",
          "sortAlphabetically": false,
          "clearStopWords": false,
          "normalize": true,
          "stem": false,
          "language": "english"
        },
        "metaType": "PROCESSOR",
        "preview": false,
        "disabled": false,
        "alwaysShowComment": false
      },
      {
        "type": "RegexpExtractor",
        "params": {
          "column": "product_title",
          "pattern": "\\b(apple|macbook|ipad|iphone|ipod)\\b",
          "prefix": "apple",
          "found_col": false,
          "extractAllOccurrences": false
        },
        "metaType": "PROCESSOR",
        "preview": true,
        "disabled": false,
        "alwaysShowComment": false
      }
    ],
    "maxProcessedMemTableBytes": -1,
    "columnsSelection": {
      "mode": "ALL"
    },
    "columnWidthsByName": {
      "id": 100,
      "authorized_flag": 128,
      "purchase_date": 141,
      "card_id": 120,
      "merchant_id": 127,
      "item_category": 113,
      "purchase_amount": 155,
      "signature_provided": 150,
      "product_title": 300,
      "first_active_month": 150,
      "reward_program": 155,
      "cardholder_fico_score": 173,
      "cardholder_fico_range": 173,
      "cardholder_age": 120,
      "merchant_category_id": 165,
      "merchant_subsector": 183,
      "merchant_latitude": 143,
      "merchant_longitude": 150,
      "purchase_date_parsed": 190,
      "purchase_amount_": 135,
      "purchase_amount_eur": 158
    },
    "columnUseScientificNotationByName": {},
    "coloring": {
      "scheme": "MEANING_AND_STATUS",
      "individualColumns": [],
      "valueColoringMode": "HASH"
    },
    "sorting": [],
    "analysisColumnData": {},
    "explorationSampling": {
      "selection": {
        "maxRecordsForDisplay": -1,
        "maxStoredBytes": -1,
        "timeout": -1,
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "partitionSelectionMethod": "ALL",
        "latestPartitionsN": 1,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "samplingMethod": "HEAD_SEQUENTIAL",
        "maxRecords": 10000,
        "targetRatio": 0.02,
        "withinFirstN": -1,
        "maxReadUncompressedBytes": -1
      },
      "autoRefreshSample": false,
      "_refreshTrigger": 0
    },
    "vizSampling": {
      "selection": {
        "useMemTable": false,
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "partitionSelectionMethod": "ALL",
        "latestPartitionsN": 1,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "samplingMethod": "FULL",
        "maxRecords": -1,
        "targetRatio": 0.02,
        "withinFirstN": -1,
        "maxReadUncompressedBytes": -1
      },
      "autoRefreshSample": false,
      "_refreshTrigger": 0
    },
    "exploreUIParams": {
      "autoRefresh": true
    },
    "globalSearchQuery": "",
    "explorationFilters": [],
    "previewMode": "ALL_ROWS"
  },
  "charts": [],
  "name": "Analyze tx_joined",
  "versionTag": {
    "versionNumber": 14,
    "lastModifiedBy": {
      "login": "admin"
    },
    "lastModifiedOn": 1697473540049,
    "extendedProperties": {}
  },
  "creationTag": {
    "versionNumber": 0,
    "lastModifiedBy": {
      "login": "admin"
    },
    "lastModifiedOn": 1697473415710,
    "extendedProperties": {}
  },
  "tags": [],
  "customFields": {},
  "checklists": {
    "checklists": []
  }
}